Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
(RESOLU) mise en corbeille des photos ne fonctionne plus
#41
Je suis passé facilement à Mint mais j'ai retrouvé des problèmes d'Ubuntu plus le décalage en les LTS de Ubuntu et de Mint. J'ai essayé plusieurs distributions avec pas mal de problèmes avec l'EFi pour un compatibilité avec Windows en dual boot. Maintenant je suis sous OpenSuse Tumbleweed, c'est certainement moins convivial que Ubuntu mais par contre Kde est beaucoup mieux qu'avec KUbuntu. Je n'arrive pas à me faire avec Gnome 3. Tumbleweed est un Rolling.
Répondre
#42
(16-05-22, 09:29)jpg54 a écrit : Je suis passé facilement à Mint mais j'ai retrouvé des problèmes d'Ubuntu plus le décalage en les LTS de Ubuntu et de Mint. J'ai essayé plusieurs distributions avec pas mal de problèmes avec l'EFi pour un compatibilité avec Windows en dual boot. Maintenant je suis sous OpenSuse Tumbleweed, c'est certainement moins convivial que Ubuntu mais par contre Kde est beaucoup mieux qu'avec KUbuntu. Je n'arrive pas à me faire avec Gnome 3. Tumbleweed est un Rolling.

Il y a dans ta réponse des termes que j'ai déjà rencontrés, mais dont je ne connais pas bien la signification comme assez souvent dans ce forum, mais j'apprends !
Comme Kde et Rolling qui je crois concerne les fréquences de mises à jour du système ?
Répondre
#43
(15-05-22, 21:08)JMM40 a écrit : Après désinstallation de dartable en snap,  j'ai installé l'autre version (ubuntu-jammy-universe (deb)) dans "ubuntu software" et bonne surprise le PROBLÈME DE LA CORBEILLE  EST RÉSOLU !  Smile  Smile

Je ferai demain d'autres essais, puis je mettrai ce sujet en (résolu)

Je remercie beaucoup tous ceux qui ont essayé de m'aider et surtout manu qui a eu beaucoup de patience pour essayer de trouver la solution.

Avec plaisir @jmm40.
C'est vrai que depuis l'apparition/l'introduction des snap et autres flatpak, il devient moins évident de savoir ce qu'on fait réellement lors d'une installation de logiciel, surtout quand on n'a pas encore l'expérience (pour ne pas parler de formation). Heureusement, les forums (ici ou ubuntu-fr par exemple) apportent souvent des réponses, et quand on est à l'aise avec l'anglais encore plus dans leurs versions anglophones.

Il est possible de supprimer la "fonctionnalité" snap d'Ubuntu (donc plus d'installations de snaps) et sinon de bien veiller à ce que le logiciel à installer pas Ubuntu Software/Logiciel ne soit pas un snap.
Et quand le logiciel n'est pas disponible dans la version souhaitée, chercher si un dépôt ne serait pas disponible, à rajouter sur la machine (apt-add-repository...).

Mais attention alors, car si le système de dépôts (connus sous différents noms selon les OS) est intéressant en termes de sécurité, il faut tout de même faire attention à ne pas rajouter n'importe quels dépôts au prix de failles de sécurité évidentes. Ce serait particulièrement contre-productif sur un système dit sécurisé...
Et puis la construction des paquets (.deb pour la famille debian) n'est pas aussi rigoureuse partout... 

Pour dt, le dépôt OBS est souvent cité, mais comme je l'écrivais plus haut, dt pour Ubuntu 22.04 n'y est pas encore disponible. C'est donc une bonne nouvelle qu'elle soit disponible en 3.8 de manière standard dans cette nouvelle 22.04.
Ubuntu 20.04 + dt stable

Sony α7 III
Pentax K-3 II + objectif Sigma 17-50mm f2.8 à vendre
Répondre
#44
(16-05-22, 09:40)JMM40 a écrit : Il y a dans ta réponse des termes que j'ai déjà rencontrés, mais dont je ne connais pas bien la signification comme assez souvent dans ce forum, mais j'apprends !
Comme Kde et Rolling qui je crois concerne les fréquences de mises à jour du système ?

Kde est une interface graphique comme Gnome ; Mate ; Xfce et autres. Pour Rolling, c'est exactement Rolling Release, c'est une distribution qui est mise à jour permanente donc il n'y a pas de changement de version 2 fois par ans ou Lts comme avec Ubuntu et dérivés.
Répondre
#45
(16-05-22, 07:29)jpg54 a écrit : Le dépôt sûr (maintenu par un développeur de darktable) est : https://software.opensuse.org/download.h...=darktable

Petit précision, le mainteneur de ce dépôt n'est pas développeur darktable. Il y a eu de mémoire un développeur qui a aidé mais à ma connaissance le mainteneur principal est darix et je ne l'ai jamais vu proposer du code. Je précise ça parce qu'on a déjà vu des rapports de bugs sur Github du type le paquet Exiv lié évoqué par JMM40 et ça ne relève pas de l'équipe de développeur. Donc pas de post sur Github si problème sur un paquet hein Tongue

Sinon, oui on constate encore trop souvent des problèmes (pas que sur darktable mais ça se présente sur de très nombreux logiciels) à cause des snap et flatpak (moins sur appimage mais c'est moins utilisé et pratique parfois pour certains logiciels (mais à la marge).

Pour les distribs, l'imposition progressive de Snap est ce qui m'énerve le plus sur Ubuntu. Mint est mieux là dessus mais ce qui m'emmerde dessus est que Mint est basé sur Ubuntu (donc mises à jour décalées et sortant après celles d'Ubuntu) qui elle-même est basée sur Debian. Par exemple, au boulot, je viens de contribuer à faire migrer mes collègues sous Linux (YOUPI !) et j'ai finalement opté pour Ubuntu. J'utilise Debian sur mon PC perso et c'est finalement ce que je préfère (version rolling release, Sid) mais pas adapté pour un usage pro d'utilisateur lambda. Bref, une LTS est top et préférable en contexte pro (environnement de bureau d'un utilisateur lambda s'entend ici) mais Mint sort 2 mois après (et le passage devait se faire en avril, on a attendu la sortie de la LTS le 21). Sinon, j'éviterais maintenant Ubuntu, à cause des Snap. Sans ça, ce serait une excellente distrib je trouve. J'ai dû ensuite supprimer les paquets Snap et notamment réinstaller Firefox depuis le dépôt PPA de l'équipe Mozilla. Chiant ! Heureusement, après il y a Clonezilla pour recopier la config d'un premier PC sur les autres et pas tout refaire !

Citation :Pour dt, le dépôt OBS est souvent cité, mais comme je l'écrivais plus haut, dt pour Ubuntu 22.04 n'y est pas encore disponible. C'est donc une bonne nouvelle qu'elle soit disponible en 3.8 de manière standard dans cette nouvelle 22.04.


@manu : les dernières versions de distrib sont en général ajoutées quand une nouvelle version de darktable sort. Les mainteneurs suivent les dernières versions de darktable et au moment d'ajouter les paquets de cette dernière version, ils s'adaptent aux nouvelles distribs existantes. Ils ne suivent pas les évolutions de distrib. Donc darktable sera mis à jour pour Ubuntu 22.04 sur le dépôt OBS avec la sortie de darktable 4.0. Pour Ubuntu 22.10 qui sort en octobre, ce sera donc mis à jour avec la sortie de darktable 4.2 qui sort à Noël, etc.

Le dépôt OBS est sinon souvent cité tout simplement parce que c'est le seul dépôt de paquets Linux qui est officiellement considéré fiable (hors dépôts directs des distributions) par l'équipe darktable. C'est le seul du coup cité sur la page "install" du site officiel www.darktable.org
Aussi appelé Nilvus !
Debian Sid - darktable master
Répondre
#46
Nico, c'est Aurélien de Schneider (si mon souvenir est exact) qui aurait repris la mise en place du support Ubuntu après l'arrêt de l'ancien mainteneur. Après c'est pas important de savoir qui, par contre ce service OpenSuse offert pour toutes les distributions est réputé comme le plus sûr. Se rappeler le problématique dépôt "Panda"
Répondre
#47
(16-05-22, 21:03)nicoauffray a écrit : @manu : les dernières versions de distrib sont en général ajoutées quand une nouvelle version de darktable sort. Les mainteneurs suivent les dernières versions de darktable et au moment d'ajouter les paquets de cette dernière version, ils s'adaptent aux nouvelles distribs existantes. Ils ne suivent pas les évolutions de distrib. Donc darktable sera mis à jour pour Ubuntu 22.04 sur le dépôt OBS avec la sortie de darktable 4.0.

Ça ne semble pas être la règle systématique (pour OBS), je vois qu'à présent les dépôts OBS proposent dt pour Ubuntu 22.04.

En passant, la mauvaise nouvelle est qu'OBS ne propose plus de version de dt pour Ubuntu 20.04, LTS maintenue jusqu'en avril 2025... Pas bien ça ! pfff...
Ubuntu 20.04 + dt stable

Sony α7 III
Pentax K-3 II + objectif Sigma 17-50mm f2.8 à vendre
Répondre
#48
Citation :En passant, la mauvaise nouvelle est qu'OBS ne propose plus de version de dt pour Ubuntu 20.04, LTS maintenue jusqu'en avril 2025... Pas bien ça ! pfff.

Pas d'emballement. Un simple problème de clé de signature expiré. Et qui vient d'être corrigé par Aurélien de Schneider (bien vu jpg54, c'est en effet lui qui gère ça maintenant). Donc darktable pour la 20.04 est normalement de nouveau ok.

Vu il y a quelques minutes sur le forum anglais (pixls.us)

EDIT : c'est Andreas Schneider (et non Aurélien de Schneider)
Aussi appelé Nilvus !
Debian Sid - darktable master
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)